NET_DestroyDatagram(3)

NAME
NET_DestroyDatagram - Dispose of a datagram packet previously received.

SYNOPSIS
#include <SDL3_net/SDL_net.h>

void NET_DestroyDatagram(NET_Datagram *dgram);

DESCRIPTION
You must pass packets received through NET_ReceiveDatagram to this function when you are done with them. This will free resources used by this packet and unref its NET_Address.

If you want to save the sender's address from the packet past this time, it is safe to call NET_RefAddress() on the address and hold onto its pointer, so long as you call NET_UnrefAddress() on it when you are done with it.

Once you call this function, the datagram pointer becomes invalid and should not be used again by the app.

FUNCTION PARAMETERS

dgram
    the datagram packet to destroy.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_net 3.0.0.